> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Players In Segment

> Starts an export for the player profiles in a segment. This API creates a snapshot of all the player profiles which match the segment definition at the time of the API call. Profiles which change while an export is in progress will not be reflected in the results.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| AsyncExportNotInFlight | 10011 |
| AsyncExportRateLimitExceeded | 10013 |
| ExportUnknownError | 5013 |
| InvalidSegment | 1242 |
| ProductDisabledForTitle | 1609 |
| SegmentNotFound | 1220 |




## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/ExportPlayersInSegment
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/ExportPlayersInSegment:
    post:
      tags:
        - PlayStream
      summary: Export Players In Segment
      description: >
        Starts an export for the player profiles in a segment. This API creates
        a snapshot of all the player profiles which match the segment definition
        at the time of the API call. Profiles which change while an export is in
        progress will not be reflected in the results.


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | AsyncExportNotInFlight | 10011 |

        | AsyncExportRateLimitExceeded | 10013 |

        | ExportUnknownError | 5013 |

        | InvalidSegment | 1242 |

        | ProductDisabledForTitle | 1609 |

        | SegmentNotFound | 1220 |
      operationId: ExportPlayersInSegment
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExportPlayersInSegmentRequest'
        description: Request must contain the Segment ID
      responses:
        '200':
          $ref: '#/components/responses/ExportPlayersInSegmentResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    ExportPlayersInSegmentRequest:
      description: Request must contain the Segment ID
      type: object
      properties:
        SegmentId:
          description: Unique identifier of the requested segment.
          type: string
      required:
        - SegmentId
      example:
        SegmentId: ABCDEF1234567890
    ExportPlayersInSegmentResult:
      type: object
      properties:
        ExportId:
          description: Unique identifier of the export for the requested Segment.
          type: string
        SegmentId:
          description: Unique identifier of the requested Segment.
          type: string
      example:
        SegmentId: ABCDEF1234567890
        ExportId: abcdef12345
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    ExportPlayersInSegmentResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ExportPlayersInSegmentResult'
            example:
              code: 200
              status: OK
              data:
                SegmentId: ABCDEF1234567890
                ExportId: abcdef12345
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Export Players In Segment](/services/playfab/api-references/rest/server/play-stream/export-players-in-segment.md)
- [Tutorial to export players in a Segment](/services/playfab/live-service-management/game-configuration/segmentation/segmentation-export-players-in-a-segment.md)
- [Get Segment Export](/services/playfab/api-references/rest/server/play-stream/get-segment-export.md)
- [Tutorial to Count Players of a Segment](/services/playfab/live-service-management/game-configuration/segmentation/segmentation-player-count.md)
- [Advanced Segmentation with Player Custom Properties](/services/playfab/live-service-management/game-configuration/segmentation/advanced-segmentation.md)
